Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026838
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2014-06-11 11:062014-06-26 17:08
ReporteralostaleView Statuspublic 
Assigned Toshankarb 
PriorityimmediateResolutionfixedFixed in Version3.0PR14Q3
StatusclosedFix in branchFixed in SCM revision0043e948d053
ProjectionnoneETAnoneTarget Version3.0PR14Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression levelPre packaging ( pi )
Regression date2014-05-27
Regression introduced in release
Regression introduced by commithttp://code.openbravo.com/erp/devel/pi/rev/e60dfabc36f951772337c8c10569b25901f79280 [^]
Triggers an Emergency PackNo
Summary

0026838: Unpaged request in Financial Account Transaction

DescriptionUnpaged request in Financial Account Transaction
Steps To ReproduceRecorded video reproducing it in live.openbravo.com: https://drive.google.com/file/d/0B2PGxKaZaJn-WC0zeEQ3clBuOXM/edit?usp=sharing [^]

-Create a new Sales Order
  -BP: Alimentos y Supermercados
  -Lines:
     -Product Agua Sin Gas
     -Qty 1
  -Book it
-Create a new Payment In
  -Received from: Alimentos y Supermercados
  -Amount 1.67
  -Add Details
    -Transaction Type: Orders
    -Select only last created Order
    -Process
-Open created Sales Order
  -Navigate to Payment Plan Tab and select the only line present
  -Navigate to Payment Details
  -Open the only line in form view
  -Navigate to lined Payment In record
-In Payment In record
  -Open Linked items and select Financial Account - Transactions
  -Navigate to linked item
-In Financial Account - Transaction Tab
  -Execute Delete action from button -> ERROR: Data was tried to be fetched without pagination
  
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00266833.0PR14Q3 closedalostale prevent unpaged datasource requests 

-  Notes
(0067896)
alostale (developer)
2014-06-11 11:25

Issue 0026683 does not introduce the unpaged request problem, it just makes it visible.

When analyzing this issue try to find the pattern that causes the problem
(0068245)
shankarb (developer)
2014-06-23 12:30

The issue can be reproduced in all cases by adding a new transaction to Transaction tab in Financial Account and trying to delete it from form view. When the tab is opened from linked items, by default is opened in form view. If we try to delete it from grid, it works properly.
(0068246)
hgbot (developer)
2014-06-23 12:32

Repository: erp/devel/pi
Changeset: 0043e948d053f48a819268fe27c06717d86f2995
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Mon Jun 23 15:59:11 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/0043e948d053f48a819268fe27c06717d86f2995 [^]

Fixes Issue 26838: Unpaged request in Financial Account Transaction

Perform form refresh after completing button action only if current form is valid.
In the issue, we are deleting the record using the button, so the form present after the delete action is invalid
resulting in fetch with incorrect critieria to the server.
The problems happens only in form view, as refresh grid is done with proper criteria.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view.js
M modules/org.openbravo.service.json/src/org/openbravo/service/json/DefaultJsonDataService.java
---
(0068247)
hgbot (developer)
2014-06-23 12:44

Repository: erp/devel/pi
Changeset: bc7151f88085b229a1030ee683453668f8346ce9
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Mon Jun 23 16:12:52 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/bc7151f88085b229a1030ee683453668f8346ce9 [^]

Related to issue 26838 : Changed incorrect comment message

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view.js
---
(0068291)
hudsonbot (developer)
2014-06-25 01:35

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/e78ccbaf0186 [^]
Maturity status: Test
(0068292)
hudsonbot (developer)
2014-06-25 01:35

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/e78ccbaf0186 [^]
Maturity status: Test
(0068367)
AugustoMauch (developer)
2014-06-26 17:08

Code reviewed and verified in pi@174b96a6fa01

- Issue History
Date Modified Username Field Change
2014-06-11 11:06 alostale New Issue
2014-06-11 11:06 alostale Assigned To => AugustoMauch
2014-06-11 11:06 alostale Modules => Core
2014-06-11 11:06 alostale Triggers an Emergency Pack => No
2014-06-11 11:24 alostale Regression level => Pre packaging ( pi )
2014-06-11 11:24 alostale Regression date => 2014-05-27
2014-06-11 11:24 alostale Regression introduced by commit => http://code.openbravo.com/erp/devel/pi/rev/e60dfabc36f951772337c8c10569b25901f79280 [^]
2014-06-11 11:24 alostale Target Version => PR14Q3
2014-06-11 11:24 alostale Steps to Reproduce Updated View Revisions
2014-06-11 11:24 alostale Relationship added related to 0026683
2014-06-11 11:25 alostale Note Added: 0067896
2014-06-11 11:53 shuehner Tag Attached: Performance
2014-06-11 11:53 shuehner Issue Monitored: shuehner
2014-06-18 06:10 shankarb Assigned To AugustoMauch => shankarb
2014-06-23 09:29 shankarb Status new => scheduled
2014-06-23 09:29 shankarb fix_in_branch => pi
2014-06-23 12:27 shankarb Issue Monitored: AugustoMauch
2014-06-23 12:28 shankarb Review Assigned To => AugustoMauch
2014-06-23 12:28 shankarb fix_in_branch pi =>
2014-06-23 12:30 shankarb Note Added: 0068245
2014-06-23 12:32 hgbot Checkin
2014-06-23 12:32 hgbot Note Added: 0068246
2014-06-23 12:32 hgbot Status scheduled => resolved
2014-06-23 12:32 hgbot Resolution open => fixed
2014-06-23 12:32 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/0043e948d053f48a819268fe27c06717d86f2995 [^]
2014-06-23 12:44 hgbot Checkin
2014-06-23 12:44 hgbot Note Added: 0068247
2014-06-25 01:35 hudsonbot Checkin
2014-06-25 01:35 hudsonbot Note Added: 0068291
2014-06-25 01:35 hudsonbot Checkin
2014-06-25 01:35 hudsonbot Note Added: 0068292
2014-06-26 17:08 AugustoMauch Note Added: 0068367
2014-06-26 17:08 AugustoMauch Status resolved => closed
2014-06-26 17:08 AugustoMauch Fixed in Version => PR14Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker